UbuntuUpdates.org

Bugs fixes in "haproxy"

Origin Bug number Title Date fixed
CVE CVE-2018-20103 An issue was discovered in dns.c in HAProxy through 1.8.14. In the case of a compressed pointer, a crafted packet can trigger infinite recursion by m 2019-01-15
CVE CVE-2018-20102 An out-of-bounds read in dns_validate_dns_response in dns.c was discovered in HAProxy through 1.8.14. Due to a missing check when validating DNS resp 2019-01-15
CVE CVE-2018-20103 An issue was discovered in dns.c in HAProxy through 1.8.14. In the case of a compressed pointer, a crafted packet can trigger infinite recursion by m 2019-01-15
CVE CVE-2018-20102 An out-of-bounds read in dns_validate_dns_response in dns.c was discovered in HAProxy through 1.8.14. Due to a missing check when validating DNS resp 2019-01-15
CVE CVE-2018-20103 An issue was discovered in dns.c in HAProxy through 1.8.14. In the case of a compressed pointer, a crafted packet can trigger infinite recursion by m 2019-01-15
CVE CVE-2018-20102 An out-of-bounds read in dns_validate_dns_response in dns.c was discovered in HAProxy through 1.8.14. Due to a missing check when validating DNS resp 2019-01-15
CVE CVE-2018-14645 A flaw was discovered in the HPACK decoder of HAProxy, before 1.8.14, that is used for HTTP/2. An out-of-bounds read access in hpack_valid_idx() resu 2018-10-02
CVE CVE-2018-14645 A flaw was discovered in the HPACK decoder of HAProxy, before 1.8.14, that is used for HTTP/2. An out-of-bounds read access in hpack_valid_idx() resu 2018-10-02
CVE CVE-2018-14645 A flaw was discovered in the HPACK decoder of HAProxy, before 1.8.14, that is used for HTTP/2. An out-of-bounds read access in hpack_valid_idx() resu 2018-10-02
CVE CVE-2018-14645 A flaw was discovered in the HPACK decoder of HAProxy, before 1.8.14, that is used for HTTP/2. An out-of-bounds read access in hpack_valid_idx() resu 2018-10-02
CVE CVE-2018-11469 Incorrect caching of responses to requests including an Authorization header in HAProxy 1.8.0 through 1.8.9 (if cache enabled) allows attackers to ac 2018-05-30
CVE CVE-2018-11469 Incorrect caching of responses to requests including an Authorization header in HAProxy 1.8.0 through 1.8.9 (if cache enabled) allows attackers to ac 2018-05-30
CVE CVE-2018-11469 Incorrect caching of responses to requests including an Authorization header in HAProxy 1.8.0 through 1.8.9 (if cache enabled) allows attackers to ac 2018-05-30
CVE CVE-2018-11469 Incorrect caching of responses to requests including an Authorization header in HAProxy 1.8.0 through 1.8.9 (if cache enabled) allows attackers to ac 2018-05-30
Launchpad 1755061 HAProxyContext on Ubuntu 14.04 generates config that fails to start on boot 2018-05-24
Launchpad 1755061 HAProxyContext on Ubuntu 14.04 generates config that fails to start on boot 2018-05-24
CVE CVE-2016-5360 remote denial of service via reqdeny 2016-06-20
CVE CVE-2016-5360 remote denial of service via reqdeny 2016-06-20
CVE CVE-2016-5360 remote denial of service via reqdeny 2016-06-20
CVE CVE-2016-5360 remote denial of service via reqdeny 2016-06-20



About   -   Send Feedback to @ubuntu_updates